Extending Qt Creator Manual | UnqualifiedNameNode

Extending Qt Creator Manual 4.7.1

# UnqualifiedNameNode Class

(Debugger::Internal::UnqualifiedNameNode)

Inherits: | Debugger::Internal::ParseTreeNode

- List of all members, including inherited members

## Public Types

typedef | Ptr

## Public Functions

| UnqualifiedNameNode(Debugger::Internal::GlobalParseState *parseState)
bool | isConstructorOrDestructorOrConversionOperator() const
int | toByteArray() const

- 7 public functions inherited from Debugger::Internal::ParseTreeNode

## Static Public Members

bool | mangledRepresentationStartsWith(char c)

- 1 static public member inherited from Debugger::Internal::ParseTreeNode

### Additional Inherited Members

- 2 protected functions inherited from Debugger::Internal::ParseTreeNode

## Member Type Documentation

### typedef UnqualifiedNameNode::Ptr

## Member Function Documentation

### UnqualifiedNameNode::UnqualifiedNameNode(Debugger::Internal::GlobalParseState *parseState)

Default constructs an instance of UnqualifiedNameNode.

### bool UnqualifiedNameNode::isConstructorOrDestructorOrConversionOperator() const

### `[static]` bool UnqualifiedNameNode::mangledRepresentationStartsWith(char c)

### int UnqualifiedNameNode::toByteArray() const